ECHO OFF

call \ep196\msvcvars.bat

cd \ep196\MAKETAB        

cd \ep196\SRCDLL     
copy ..\makd\srcdll.mak
DEL SRC*.DLL
nmake /f srcdll.mak /A
SET ERRORID=MAKE SRCDLL
IF NOT EXIST SRC*.DLL GOTO MAKEERR
copy src*.dll ..   

cd \ep196\BPTDLL
copy ..\makd\bptdll.mak
DEL BPT*.DLL
nmake /f bptdll.mak /A
SET ERRORID=MAKE BPTDLL
IF NOT EXIST BPT*.DLL GOTO MAKEERR
copy bpt*.dll ..
          
cd \ep196\STEPDLL 
copy ..\makd\stepdll.mak
DEL STEP*.DLL
nmake /f stepdll.mak /A
SET ERRORID=MAKE STEPDLL
IF NOT EXIST STEP*.DLL GOTO MAKEERR
copy step*.dll ..

cd \ep196\HLP            

cd \ep196\RES          

cd \ep196\GODLL   
copy ..\makd\gosvr.mak
DEL GO*.DLL
nmake /f gosvr.mak /A
SET ERRORID=MAKE GODLL
IF NOT EXIST GO*.DLL GOTO MAKEERR
copy go*.dll ..

cd \ep196\FWSETUP       
copy ..\makd\fwsetup.mak
DEL FWS*.EXE
nmake /f fwsetup.mak /A
SET ERRORID=MAKE FWSETUP.EXE
IF NOT EXIST FWS*.EXE GOTO MAKEERR
copy fws*.exe .. 

cd \ep196\ABIDLL         
copy ..\makd\abi196.mak
DEL ABI*.DLL
nmake /f abi196.mak /A
SET ERRORID=MAKE ABIDLL
IF NOT EXIST ABI*.DLL GOTO MAKEERR
copy abi*.dll ..  

cd \ep196\ADDRDLL        
copy ..\makd\addrdll.mak
DEL ADDR*.DLL
nmake /f addrdll.mak /A
SET ERRORID=MAKE ADDRDLL
IF NOT EXIST ADDR*.DLL GOTO MAKEERR
copy addr*.dll .. 

cd \ep196\SYMSVR        
copy ..\makd\symsvr.mak
DEL SYMSVR.DLL
nmake /f symsvr.mak /A
SET ERRORID=MAKE SYMSVR.DLL
IF NOT EXIST SYMSVR.DLL GOTO MAKEERR
copy symsvr.dll ..

cd \ep196\ERROR          

cd \ep196\INITDLL
copy ..\makd\init196.mak
DEL INIT*.DLL
nmake /f init196.mak /A
SET ERRORID=MAKE INIT*.DLL
IF NOT EXIST INIT*.DLL GOTO MAKEERR
copy init*.dll ..

cd \ep196\BANKSET       
copy ..\makd\bankset.mak
DEL BAN*.EXE
nmake /f bankset.mak /A
SET ERRORID=MAKE BANKSET.EXE
IF NOT EXIST BANK*.EXE GOTO MAKEERR
copy ban*.exe ..

cd \ep196\LOADDLL        
copy ..\makd\loaddll.mak
DEL LOAD*.DLL
nmake /f loaddll.mak /A
SET ERRORID=MAKE LOAD.DLL
IF NOT EXIST LOAD*.DLL GOTO MAKEERR
copy load*.dll .. 

cd \ep196\REGMAP         
copy ..\makd\regmap.mak
DEL REGMAP*.DLL
nmake /f regmap.mak /A
SET ERRORID=MAKE REGMAP.DLL
IF NOT EXIST REGMAP*.DLL GOTO MAKEERR
copy regmap*.dll ..

cd \ep196\diagno
copy ..\makd\diagno.mak
DEL DIAGNO*.EXE
nmake /f diagno.mak /A
SET ERRORID=MAKE DIAGNO.EXE
IF NOT EXIST DIAGNO*.EXE GOTO MAKEERR
copy diagno*.exe ..
copy *.dat ..

GOTO END

:MAKEERR
ECHO %ERRORID% ERROR
GOTO EXIT

:END
ECHO MAKE SUCCESSFULLY

:EXIT
cd \ep196
